aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChih-Hung Hsieh <chh@google.com>2020-10-01 20:19:39 +0000
committerAutomerger Merge Worker <android-build-automerger-merge-worker@system.gserviceaccount.com>2020-10-01 20:19:39 +0000
commit87ce9661177c776ef7c293c228699f2cb667f33a (patch)
treeb521090c9bf79c44d15223de53dd501a2fc3790e
parent5a73ad58ef1329a21645d5ed93b8ac58bf91af49 (diff)
parent847b2675dacd8ae285e723b483fbe8b15ff2aba9 (diff)
downloadserde-87ce9661177c776ef7c293c228699f2cb667f33a.tar.gz
Add post_update.sh to fix up Android.bp am: 8cffafec6b am: 516f9230e4 am: 847b2675da
Original change: https://android-review.googlesource.com/c/platform/external/rust/crates/serde/+/1444016 Change-Id: I341fb5856f9f748dd38b8526d87e6254b128e61e
-rw-r--r--METADATA11
-rwxr-xr-xpost_update.sh15
2 files changed, 21 insertions, 5 deletions
diff --git a/METADATA b/METADATA
index 2ca368d..13e5248 100644
--- a/METADATA
+++ b/METADATA
@@ -1,7 +1,5 @@
name: "serde"
-description:
- "A generic serialization/deserialization framework"
-
+description: "A generic serialization/deserialization framework"
third_party {
url {
type: HOMEPAGE
@@ -12,7 +10,10 @@ third_party {
value: "https://static.crates.io/crates/serde/serde-1.0.115.crate"
}
version: "1.0.115"
- last_upgrade_date { year: 2020 month: 8 day: 21 }
license_type: NOTICE
+ last_upgrade_date {
+ year: 2020
+ month: 8
+ day: 21
+ }
}
-
diff --git a/post_update.sh b/post_update.sh
new file mode 100755
index 0000000..7de4f29
--- /dev/null
+++ b/post_update.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+# $1 Path to the new version.
+# $2 Path to the old version.
+
+set -x
+set -e
+
+# work around missing std_atomic64 on arm/arm64
+SRCFILE=Android.bp
+OLDSTR='"--cfg std_atomic64",'
+NEWSTR='// "--cfg std_atomic64", // not for arm/arm64'
+sed -i -e "s:$OLDSTR:$NEWSTR:" $SRCFILE
+# Make sure that sed replaced $OLDSTR with $NEWSTR
+grep "$NEWSTR" $SRCFILE > /dev/null